--- grep.SlackBuild	2006-08-06 20:53:12.000000000 -0400
+++ grep.SlackBuild.s390x	2009-05-23 20:29:08.000000000 -0400
@@ -14,7 +14,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -26,12 +26,6 @@
 rm -rf $PKG
 mkdir -p $PKG
 
-# @#$%...  We don't want grep to depend on a shared PCRE:
-if [ -r /usr/lib/libpcre.la ]; then #$%@
-  mv /usr/lib/libpcre.so $TMP
-  mv /usr/lib/libpcre.la $TMP
-fi
-
 cd $TMP
 rm -rf grep-$VERSION
 tar xjvf $CWD/grep-$VERSION.tar.bz2
@@ -52,6 +46,7 @@
 
 CFLAGS="$SLKCFLAGS" \
 ./configure \
+  --disable-perl-regexp \
   --prefix=/usr \
   --bindir=/bin \
   --mandir=/usr/man \
@@ -113,12 +108,6 @@
 mkdir -p $PKG/install
 cat $CWD/slack-desc > $PKG/install/slack-desc
 
-# @#$%...  Put back the shared PCRE:
-if [ -r $TMP/libpcre.la ]; then
-  mv $TMP/libpcre.so /usr/lib
-  mv $TMP/libpcre.la /usr/lib
-fi
-
 # Build the package:
 cd $PKG
 makepkg -l y -c n $TMP/grep-$VERSION-$ARCH-$BUILD.tgz
